# SyslogAppender.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <stdarg.h>`
`#include <syslog.h>`
`#include <log4cpp/LayoutAppender.hh>`
`#include <log4cpp/Priority.hh>`

Include dependency graph for SyslogAppender.hh:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::SyslogAppender
| SyslogAppender sends LoggingEvents to the local syslog system. More...